com.aliyun.svideosdk.common.struct.template

## Class AliyunTemplateParam

- java.lang.Object
- - com.aliyun.svideosdk.common.struct.template.AliyunTemplateParam

- Direct Known Subclasses:
    AliyunTemplateImageParam, AliyunTemplateTextParam

      public class AliyunTemplateParam
      extends java.lang.Object

  sdk version >= v3.27.0

  template param

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `AliyunTemplateParam.Type` the param type.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AliyunTemplateParam()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getNodeKey()` Gets the param node key.
    `java.lang.Object` | `getTarget()` Gets the template param target.
    `float` | `getTimelineIn()` Gets the time when the clip appears on the stream timeline.
    `float` | `getTimelineOut()` Gets the time when the clip disappears on the stream timeline.
    `AliyunTemplateParam.Type` | `getType()` Gets the template param type.
    `boolean` | `isLock()` whether param is lock.
    `void` | `setLock(boolean lock)`
    `void` | `setNodeKey(java.lang.String nodeKey)` Sets the param node key.
    `void` | `setTarget(java.lang.Object target)` Sets the template param target.
    `void` | `setTimelineIn(float timelineIn)` The time when the clip appears on the stream timeline.
    `void` | `setTimelineOut(float timelineOut)` Sets the time when the clip disappears on the stream timeline.
    `void` | `setType(AliyunTemplateParam.Type type)` Sets the template param type.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AliyunTemplateParam

          public AliyunTemplateParam()

  - ### Method Detail

    - #### getType

          public AliyunTemplateParam.Type getType()

      Gets the template param type.
      Returns:
        param type

    - #### setType

          public void setType(AliyunTemplateParam.Type type)

      Sets the template param type.
      Parameters:
        `type` - param type

    - #### getNodeKey

          public java.lang.String getNodeKey()

      Gets the param node key.
      Returns:
        param node key

    - #### setNodeKey

          public void setNodeKey(java.lang.String nodeKey)

      Sets the param node key.
      Parameters:
        `nodeKey` - param node key

    - #### isLock

          public boolean isLock()

      whether param is lock.
      Returns:

    - #### setLock

          public void setLock(boolean lock)

    - #### getTarget

          public java.lang.Object getTarget()

      Gets the template param target.
      Returns:
        template param target

    - #### setTarget

          public void setTarget(java.lang.Object target)

      Sets the template param target.
      Parameters:
        `target` - template param target

    - #### getTimelineIn

          public float getTimelineIn()

      Gets the time when the clip appears on the stream timeline. Unit: second.
      Returns:
        time

    - #### setTimelineIn

          public void setTimelineIn(float timelineIn)

      The time when the clip appears on the stream timeline. Unit: second.
      Parameters:
        `timelineIn` - timeline in

    - #### getTimelineOut

          public float getTimelineOut()

      Gets the time when the clip disappears on the stream timeline. Unit: second.
      Returns:
        timeline out

    - #### setTimelineOut

          public void setTimelineOut(float timelineOut)

      Sets the time when the clip disappears on the stream timeline. Unit: second.
      Parameters:
        `timelineOut` - timeline out